std::atomic_flag_notify_one(3)

NAME
std::atomic_flag_notify_one - std::atomic_flag_notify_one

Synopsis
   Defined in header <atomic>
   void atomic_flag_notify_one( std::atomic_flag* object ) noexcept;
   void atomic_flag_notify_one( volatile std::atomic_flag* object ) (since C++20)
   noexcept;
   Performs atomic notifying operations.
   If there is a thread blocked in an atomic waiting operation (i.e.
   std::atomic_flag_wait(), std::atomic_flag_wait_explicit(), or
   std::atomic_flag::wait()) on *object, then unblocks at least one such thread;
   otherwise does nothing.
   Equivalent to object->notify_one().

Parameters
   object - pointer to the atomic_flag object to notify

Return value
   (none)

Notes
   This form of change-detection is often more efficient than simple polling or pure
   spinlocks.

Example
    This section is incomplete
    Reason: no example

See also
   notify_one notifies at least one thread waiting on the atomic object
   (C++20) (public member function of std::atomic_flag)
   notify_all notifies all threads blocked waiting on the atomic object
   (C++20) (public member function of std::atomic_flag)
   atomic_flag_notify_all notifies all threads blocked in atomic_flag_wait
   (C++20) (function)